Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 754402 - x11-libs/pango-1.48.1: version bump
Summary: x11-libs/pango-1.48.1: version bump
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal with 1 vote (vote)
Assignee: Gentoo Linux Gnome Desktop Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-11-14 20:28 UTC by David Michael
Modified: 2021-03-21 23:17 UTC (History)
6 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Update pango for GTK 4 (pango-1.48.0.ebuild,2.15 KB, text/plain)
2020-11-14 20:28 UTC, David Michael
Details
Here's a quick GTK 4 test ebuild as gui-libs/gtk (gtk-3.99.4.ebuild,5.05 KB, text/plain)
2020-11-14 20:29 UTC, David Michael
Details

Note You need to log in before you can comment on or make changes to this bug.
Description David Michael 2020-11-14 20:28:20 UTC
Created attachment 671434 [details]
Update pango for GTK 4

This update is required by GTK 4.  I guess it would have to stay masked due to bug #698922.  I didn't add new USE flags for the optional components, just leaving them always enabled or disabled to match the dependency list from the 1.44 ebuild.
Comment 1 David Michael 2020-11-14 20:29:18 UTC
Created attachment 671437 [details]
Here's a quick GTK 4 test ebuild as gui-libs/gtk
Comment 2 Andreas Sturmlechner gentoo-dev 2020-11-18 19:23:23 UTC
I'm usually opposed to multiple version bump bugs per package, but hey, maybe it gets more attention.
Comment 3 Larry the Git Cow gentoo-dev 2021-03-21 23:17:18 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3a9b5a42899a0a5551894013c4e3b67b81c815ca

commit 3a9b5a42899a0a5551894013c4e3b67b81c815ca
Author:     Matt Turner <mattst88@gentoo.org>
AuthorDate: 2021-03-21 21:35:06 +0000
Commit:     Matt Turner <mattst88@gentoo.org>
CommitDate: 2021-03-21 23:16:56 +0000

    x11-libs/pango: Version bump to 1.48.3
    
    Closes: https://bugs.gentoo.org/754402
    Signed-off-by: Matt Turner <mattst88@gentoo.org>

 x11-libs/pango/Manifest            |  1 +
 x11-libs/pango/metadata.xml        |  1 +
 x11-libs/pango/pango-1.48.3.ebuild | 82 ++++++++++++++++++++++++++++++++++++++
 3 files changed, 84 insertions(+)